#############################################################
#
# ethwireck
#
#############################################################
#
ETHWIRECK_SITE:=http://pepper.linuxfocus.org/~guido
ETHWIRECK_SOURCE:=ethwireck-1.0.tar.gz
ETHWIRECK_DIR:=$(BUILD_DIR)/ethwireck-1.0

$(DL_DIR)/$(ETHWIRECK_SOURCE):
	$(WGET) -P $(DL_DIR) $(ETHWIRECK_SITE)/$(ETHWIRECK_SOURCE)

$(ETHWIRECK_DIR)/.unpacked: $(DL_DIR)/$(ETHWIRECK_SOURCE)
	zcat $(DL_DIR)/$(ETHWIRECK_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	rm $(ETHWIRECK_DIR)/ethwireck
	touch  $(ETHWIRECK_DIR)/.unpacked

$(ETHWIRECK_DIR)/.configured: $(ETHWIRECK_DIR)/.unpacked
	cp $(SOURCE_DIR)/ethwireck.conf  $(ETHWIRECK_DIR)/Makefile
	touch  $(ETHWIRECK_DIR)/.configured

$(ETHWIRECK_DIR)/ethwireck: $(ETHWIRECK_DIR)/.configured
	$(MAKE) -C $(ETHWIRECK_DIR) CC=$(TARGET_CC) CFLAGS="$(TARGET_CFLAGS)"
	$(STRIP) $(ETHWIRECK_DIR)/ethwireck

$(TARGET_DIR)/usr/bin/ethwireck: $(ETHWIRECK_DIR)/ethwireck
	cp $(ETHWIRECK_DIR)/ethwireck $(TARGET_DIR)/usr/bin/

ethwireck: uclibc $(TARGET_DIR)/usr/bin/ethwireck

ethwireck-source: $(DL_DIR)/$(ETHWIRECK_SOURCE)

ethwireck-clean:
	rm -f $(TARGET_DIR)/usr/bin/ethwireck
	-$(MAKE) -C $(ETHWIRECK_DIR) clean

ethwireck-dirclean:
	rm -rf $(ETHWIRECK_DIR)
