#############################################################
#
# ici
#
#############################################################
ICI_SOURCE:=ici-4.1.1.tar.gz
ICI_SITE:=http://heanet.dl.sourceforge.net/sourceforge/ici
ICI_DIR:=$(BUILD_DIR)/ici-4.1.1
ICI_CAT:=zcat
ICI_BINARY:=ici.linux
ICI_TARGET_BINARY:=usr/bin/ici


$(DL_DIR)/$(ICI_SOURCE):
	 $(WGET) -P $(DL_DIR) $(ICI_SITE)/$(ICI_SOURCE)

ici-source: $(DL_DIR)/$(ICI_SOURCE)

$(ICI_DIR)/.unpacked: $(DL_DIR)/$(ICI_SOURCE)
	$(ICI_CAT) $(DL_DIR)/$(ICI_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(ICI_DIR)/.unpacked

$(ICI_DIR)/.configured: $(ICI_DIR)/.unpacked
	cp $(SOURCE_DIR)/ici.config $(ICI_DIR)/Makefile.linux
	touch  $(ICI_DIR)/.configured

$(ICI_DIR)/$(ICI_BINARY): $(ICI_DIR)/.configured
	$(MAKE) CC=$(TARGET_CC) -C $(ICI_DIR) -f Makefile.linux

$(TARGET_DIR)/$(ICI_TARGET_BINARY): $(ICI_DIR)/$(ICI_BINARY)
	-$(STRIP) --strip-unneeded $(ICI_DIR)/$(ICI_BINARY)
	cp $(ICI_DIR)/$(ICI_BINARY) $(TARGET_DIR)/$(TARGET_BINARY)
	-mkdir -p $(TARGET_DIR)/usr/lib/ici4
	cp -ap $(ICI_DIR)/ici4core* $(TARGET_DIR)/usr/lib/ici4/
	$(STAGING_DIR)/bin/$(ARCH)-linux-ranlib $(ICI_DIR)/liblinux.a
	cp -ap $(ICI_DIR)/liblinux.a $(TARGET_DIR)/usr/lib/libici4.a 

ici: uclibc $(TARGET_DIR)/$(ICI_TARGET_BINARY)

ici-clean:
	-rm $(ICI_DIR)/$(ICI_BINARY)

ici-dirclean:
	rm -rf $(ICI_DIR)

