#############################################################
#
# iputils
#
#############################################################
IPUTILS_VERSION=021109
IPUTILS_SOURCE:=iputils-ss$(IPUTILS_VERSION)-try.tar.bz2
IPUTILS_SITE:=http://gentoo.oregonstate.edu/distfiles
IPUTILS_DIR:=$(BUILD_DIR)/iputils
IPUTILS_CAT:=bzcat
IPUTILS_BINARY:=ping
IPUTILS_INSTALL_DIR:=$(BUILD_DIR)/iputils_install
IPUTILS_TARGET_BINARY:=$(IPUTILS_INSTALL_DIR)/bin/ping
IPUTILS_PATCH:=$(SOURCE_DIR)/iputils.patch

$(DL_DIR)/$(IPUTILS_SOURCE):
	 $(WGET) -P $(DL_DIR) $(IPUTILS_SITE)/$(IPUTILS_SOURCE)

iputils-source: $(DL_DIR)/$(IPUTILS_SOURCE)

$(IPUTILS_DIR)/.unpacked: $(DL_DIR)/$(IPUTILS_SOURCE)
	$(IPUTILS_CAT) $(DL_DIR)/$(IPUTILS_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(IPUTILS_DIR)/.unpacked

$(IPUTILS_DIR)/.configured: $(IPUTILS_DIR)/.unpacked
	(cd $(IPUTILS_DIR); \
		cat $(IPUTILS_PATCH) | patch -d $(IPUTILS_DIR) \
	);
	touch  $(IPUTILS_DIR)/.configured

$(IPUTILS_DIR)/$(IPUTILS_BINARY): $(IPUTILS_DIR)/.configured
	LD_LIBRARY_PATH=$(STAGING_DIR)/lib
	$(MAKE) CC=$(TARGET_CC) -C $(IPUTILS_DIR)

$(TARGET_DIR)/$(IPUTILS_TARGET_BINARY): $(IPUTILS_DIR)/$(IPUTILS_BINARY)

iputils: uclibc $(TARGET_DIR)/$(IPUTILS_TARGET_BINARY)
	cp $(IPUTILS_DIR)/ping $(TARGET_DIR)/usr/bin/ping

iputils-clean:
	-$(MAKE) -C $(IPUTILS_DIR) distclean
	rm $(IPUTILS_DIR)/.configured

iputils-dirclean:
	rm -rf $(IPUTILS_DIR)

