#############################################################
#
# libbadpenguin
#
#############################################################

LIBBADPENGUIN_VERSION=1.1.1
LIBBADPENGUIN_SOURCE=libbadpenguin-$(LIBBADPENGUIN_VERSION).tar.gz
LIBBADPENGUIN_SITE=http://www.badpenguin.org/pub/software/libbadpenguin
LIBBADPENGUIN_DIR=$(BUILD_DIR)/libbadpenguin-$(LIBBADPENGUIN_VERSION)
LIBBADPENGUIN_WORKDIR=$(BUILD_DIR)/libbadpenguin-$(LIBBADPENGUIN_VERSION)

$(DL_DIR)/$(LIBBADPENGUIN_SOURCE):
	$(WGET) -P $(DL_DIR) $(LIBBADPENGUIN_SITE)/$(LIBBADPENGUIN_SOURCE)

$(LIBBADPENGUIN_DIR)/.unpacked:	$(DL_DIR)/$(LIBBADPENGUIN_SOURCE)
	gzip -d -c $(DL_DIR)/$(LIBBADPENGUIN_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	cp $(UCLIBC_DIR)/include/libintl.h $(STAGING_DIR)/include/
	touch $(LIBBADPENGUIN_DIR)/.unpacked

$(LIBBADPENGUIN_DIR)/.configured: $(LIBBADPENGUIN_DIR)/.unpacked
	(cd $(LIBBADPENGUIN_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		$(DISABLE_NLS) \
	);
	touch  $(LIBBADPENGUIN_DIR)/.configured

$(LIBBADPENGUIN_WORKDIR)/libbadpenguin:	$(LIBBADPENGUIN_DIR)/.configured
	rm -f $@
	$(MAKE) CC=$(TARGET_CC) -C $(LIBBADPENGUIN_WORKDIR)

$(LIBBADPENGUIN_WORKDIR)/.installed: 	$(LIBBADPENGUIN_WORKDIR)/libbadpenguin
	$(MAKE) prefix=$(STAGING_DIR)/usr -C $(LIBBADPENGUIN_WORKDIR) install
	$(MAKE) prefix=$(TARGET_DIR)/usr -C $(LIBBADPENGUIN_WORKDIR) install
	touch $(LIBBADPENGUIN_WORKDIR)/.installed

libbadpenguin:	uclibc $(LIBBADPENGUIN_WORKDIR)/.installed

libbadpenguin-source: $(DL_DIR)/$(LIBBADPENGUIN_SOURCE)

libbadpenguin-clean:
	@if [ -d $(LIBBADPENGUIN_WORKDIR)/Makefile ] ; then \
		$(MAKE) -C $(LIBBADPENGUIN_WORKDIR) clean ; \
	fi;

libbadpenguin-dirclean:
	rm -rf $(LIBBADPENGUIN_DIR) $(LIBBADPENGUIN_WORKDIR)

