#############################################################
#
# libhardware
#
#############################################################

LIBHARDWARE_VERSION=0.7.4
LIBHARDWARE_SOURCE=libhardware-$(LIBHARDWARE_VERSION).tar.gz
LIBHARDWARE_SITE=http://www.badpenguin.org/pub/software/libhardware
LIBHARDWARE_DIR=$(BUILD_DIR)/libhardware-$(LIBHARDWARE_VERSION)
LIBHARDWARE_WORKDIR=$(BUILD_DIR)/libhardware-$(LIBHARDWARE_VERSION)

$(DL_DIR)/$(LIBHARDWARE_SOURCE):
	$(WGET) -P $(DL_DIR) $(LIBHARDWARE_SITE)/$(LIBHARDWARE_SOURCE)

$(LIBHARDWARE_DIR)/.unpacked:	$(DL_DIR)/$(LIBHARDWARE_SOURCE)
	gzip -d -c $(DL_DIR)/$(LIBHARDWARE_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(LIBHARDWARE_DIR)/.unpacked

$(LIBHARDWARE_DIR)/.configured: $(LIBHARDWARE_DIR)/.unpacked
	(cd $(LIBHARDWARE_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--with-libintl-prefix=$(STAGING_DIR)/../uClibc-0.9.26/include \
		--prefix=/usr \
		$(DISABLE_NLS) \
	);
	touch  $(LIBHARDWARE_DIR)/.configured

$(LIBHARDWARE_WORKDIR)/libhardware:	$(LIBHARDWARE_DIR)/.configured
	rm -f $@
	$(MAKE) CC=$(TARGET_CC) -C $(LIBHARDWARE_WORKDIR)

$(LIBHARDWARE_WORKDIR)/.installed: 	$(LIBHARDWARE_WORKDIR)/libhardware
	$(MAKE) prefix=$(TARGET_DIR)/usr -C $(LIBHARDWARE_WORKDIR) install
	touch $(LIBHARDWARE_WORKDIR)/.installed

libhardware:	uclibc $(LIBHARDWARE_WORKDIR)/.installed

libhardware-source: $(DL_DIR)/$(LIBHARDWARE_SOURCE)

libhardware-clean:
	@if [ -d $(LIBHARDWARE_WORKDIR)/Makefile ] ; then \
		$(MAKE) -C $(LIBHARDWARE_WORKDIR) clean ; \
	fi;

libhardware-dirclean:
	rm -rf $(LIBHARDWARE_DIR) $(LIBHARDWARE_WORKDIR)

