#############################################################
#
# microperl
#
#############################################################
MICROPERL_SOURCE:=perl-5.9.0.tar.gz
MICROPERL_SITE:=http://www.cpan.org/src/5.0/devel
MICROPERL_DIR:=$(BUILD_DIR)/perl-5.9.0
MICROPERL_CAT:=zcat
MICROPERL_BINARY:=microperl
MICROPERL_TARGET_BINARY:=usr/bin/microperl


$(DL_DIR)/$(MICROPERL_SOURCE):
	 $(WGET) -P $(DL_DIR) $(MICROPERL_SITE)/$(MICROPERL_SOURCE)

microperl-source: $(DL_DIR)/$(MICROPERL_SOURCE)

$(MICROPERL_DIR)/.unpacked: $(DL_DIR)/$(MICROPERL_SOURCE)
	$(MICROPERL_CAT) $(DL_DIR)/$(MICROPERL_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(MICROPERL_DIR)/.unpacked

$(MICROPERL_DIR)/.configured: $(MICROPERL_DIR)/.unpacked
	cp $(SOURCE_DIR)/microperl.config $(MICROPERL_DIR)/uconfig.h
	cp $(SOURCE_DIR)/perl.c $(MICROPERL_DIR)/perl.c
	cp $(SOURCE_DIR)/perl.h $(MICROPERL_DIR)/perl.h	
	touch  $(MICROPERL_DIR)/.configured

$(MICROPERL_DIR)/$(MICROPERL_BINARY): $(MICROPERL_DIR)/.configured
	$(MAKE) CC=$(TARGET_CC) -C $(MICROPERL_DIR) -f Makefile.micro

$(TARGET_DIR)/$(MICROPERL_TARGET_BINARY): $(MICROPERL_DIR)/$(MICROPERL_BINARY)
	-$(STRIP) --strip-unneeded $(MICROPERL_DIR)/$(MICROPERL_BINARY)
	cp -fa $(MICROPERL_DIR)/$(MICROPERL_BINARY) $(TARGET_DIR)/$(MICROPERL_TARGET_BINARY)

microperl: uclibc $(TARGET_DIR)/$(MICROPERL_TARGET_BINARY)

microperl-clean:
	-rm $(MICROPERL_DIR)/$(MICROPERL_BINARY)

microperl-dirclean:
	rm -rf $(MICROPERL_DIR)

