#############################################################
#
# mini_httpd
#
#############################################################
MINI_HTTPD_VERSION=1.19
MINI_HTTPD_SOURCE:=mini_httpd-$(MINI_HTTPD_VERSION).tar.gz
MINI_HTTPD_SITE:=http://www.acme.com/software/mini_httpd
MINI_HTTPD_DIR:=$(BUILD_DIR)/mini_httpd-$(MINI_HTTPD_VERSION)
MINI_HTTPD_CAT:=zcat
MINI_HTTPD_BINARY:=mini_httpd
MINI_HTTPD_INSTALL_DIR:=$(BUILD_DIR)/mini_httpd_install
MINI_HTTPD_TARGET_BINARY:=$(MINI_HTTPD_INSTALL_DIR)/bin/mini_httpd
MINI_HTTPD_PATCH:=$(SOURCE_DIR)/mini_httpd.patch

$(DL_DIR)/$(MINI_HTTPD_SOURCE):
	 $(WGET) -P $(DL_DIR) $(MINI_HTTPD_SITE)/$(MINI_HTTPD_SOURCE)

mini_httpd-source: $(DL_DIR)/$(MINI_HTTPD_SOURCE)

$(MINI_HTTPD_DIR)/.unpacked: $(DL_DIR)/$(MINI_HTTPD_SOURCE)
	$(MINI_HTTPD_CAT) $(DL_DIR)/$(MINI_HTTPD_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(MINI_HTTPD_DIR)/.unpacked

$(MINI_HTTPD_DIR)/.configured: $(MINI_HTTPD_DIR)/.unpacked
	(cd $(MINI_HTTPD_DIR); \
		 cat $(MINI_HTTPD_PATCH) | patch -d $(MINI_HTTPD_DIR) \
	);
	touch  $(MINI_HTTPD_DIR)/.configured

$(MINI_HTTPD_DIR)/$(MINI_HTTPD_BINARY): $(MINI_HTTPD_DIR)/.configured
	STAGING_DIR=$(STAGING_DIR) \
	TARGET_DIR=$(TARGET_DIR) \
	$(MAKE) LD_LIBRARY_PATH=$(STAGING_DIR) CC=$(TARGET_CC) -C $(MINI_HTTPD_DIR)

$(TARGET_DIR)/$(MINI_HTTPD_TARGET_BINARY): $(MINI_HTTPD_DIR)/$(MINI_HTTPD_BINARY)

mini_httpd: uclibc $(TARGET_DIR)/$(MINI_HTTPD_TARGET_BINARY)
	TARGET_DIR=$(TARGET_DIR) \
	STAGING_DIR=$(STAGING_DIR) \
	$(MAKE) CC=$(TARGET_CC) -C $(MINI_HTTPD_DIR) install

mini_httpd-clean:
	-$(MAKE) -C $(MINI_HTTPD_DIR) distclean
	rm $(MINI_HTTPD_DIR)/.configured

mini_httpd-dirclean:
	rm -rf $(MINI_HTTPD_DIR)

