#############################################################
#
# net-tools
#
#############################################################
NET-TOOLS_VERSION=1.60
NET-TOOLS_SOURCE:=net-tools-$(NET-TOOLS_VERSION).tar.bz2
NET-TOOLS_SITE:=http://www.tazenda.demon.co.uk/phil/net-tools
NET-TOOLS_DIR:=$(BUILD_DIR)/net-tools-$(NET-TOOLS_VERSION)
NET-TOOLS_CAT:=bzcat
NET-TOOLS_BINARY:=ifconfig
NET-TOOLS_INSTALL_DIR:=$(BUILD_DIR)/net-tools_install
NET-TOOLS_TARGET_BINARY:=$(NET-TOOLS_INSTALL_DIR)/sbin/ifconfig
NET-TOOLS_PATCH:=$(SOURCE_DIR)/net-tools.patch

$(DL_DIR)/$(NET-TOOLS_SOURCE):
	 $(WGET) -P $(DL_DIR) $(NET-TOOLS_SITE)/$(NET-TOOLS_SOURCE)

net-tools-source: $(DL_DIR)/$(NET-TOOLS_SOURCE)

$(NET-TOOLS_DIR)/.unpacked: $(DL_DIR)/$(NET-TOOLS_SOURCE)
	$(NET-TOOLS_CAT) $(DL_DIR)/$(NET-TOOLS_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(NET-TOOLS_DIR)/.unpacked

$(NET-TOOLS_DIR)/.configured: $(NET-TOOLS_DIR)/.unpacked
	(cd $(NET-TOOLS_DIR); \
		cat $(NET-TOOLS_PATCH) | patch -d $(NET-TOOLS_DIR) \
	);
	touch  $(NET-TOOLS_DIR)/.configured

$(NET-TOOLS_DIR)/$(NET-TOOLS_BINARY): $(NET-TOOLS_DIR)/.configured
	LD_LIBRARY_PATH=$(STAGING_DIR)/lib
	$(MAKE) CC=$(TARGET_CC) -C $(NET-TOOLS_DIR)

$(TARGET_DIR)/$(NET-TOOLS_TARGET_BINARY): $(NET-TOOLS_DIR)/$(NET-TOOLS_BINARY)

net-tools: uclibc $(TARGET_DIR)/$(NET-TOOLS_TARGET_BINARY)
	$(MAKE) TARGET_DIR=$(TARGET_DIR) CC=$(TARGET_CC) -C $(NET-TOOLS_DIR) install

net-tools-clean:
	-$(MAKE) -C $(NET_TOOLS_DIR) distclean
	rm $(NET-TOOLS_DIR)/.configured

net-tools-dirclean:
	rm -rf $(NET-TOOLS_DIR)

