#############################################################
#
# tiny c compiler
#
#############################################################
TCC_SITE:=http://fabrice.bellard.free.fr/tcc
TCC_SOURCE:=tcc-0.9.20.tar.gz
TCC_DIR:=$(BUILD_DIR)/tcc-0.9.20

$(DL_DIR)/$(TCC_SOURCE):
	$(WGET) -P $(DL_DIR) $(TCC_SITE)/$(TCC_SOURCE)

tcc-source: $(DL_DIR)/$(TCC_SOURCE)

$(TCC_DIR)/.unpacked: $(DL_DIR)/$(TCC_SOURCE)
	zcat $(DL_DIR)/$(TCC_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch  $(TCC_DIR)/.unpacked

$(TCC_DIR)/.configured: $(TCC_DIR)/.unpacked
	(cd $(TCC_DIR); rm -rf config.mak; rm -rf config.h;\
		$(TARGET_CONFIGURE_OPTS) \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		$(DISABLE_NLS) \
	);
	cp $(SOURCE_DIR)/tcc.config $(TCC_DIR)/Makefile.uClibc
	touch  $(TCC_DIR)/.configured

$(TCC_DIR)/tcc: $(TCC_DIR)/.configured
	$(MAKE) CC=$(TARGET_CC) -C $(TCC_DIR) -f Makefile.uClibc
	$(STRIP) $(TCC_DIR)/tcc

$(TARGET_DIR)/usr/bin/tcc: $(TCC_DIR)/tcc
	cp $(TCC_DIR)/tcc $(TARGET_DIR)/usr/bin/tcc

tcc-clean: 
	$(MAKE) -C $(TCC_DIR) clean

tcc-dirclean: 
	rm -rf $(TCC_DIR) 

tcc: uclibc $(TARGET_DIR)/usr/bin/tcc

